Skip to main content
`Ctrl`+`K`

# NEPAllocateSolution

Allocate memory storage for common variables such as eigenvalues and eigenvectors.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPAllocateSolution(NEP nep,PetscInt extra)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- extra - number of additional positions, used for methods that require a working basis slightly larger than `ncv`

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `NEP` implementations.

## See Also

NEP: Nonlinear Eigenvalue Problems, `PEPSetUp()`, `PEPSetDimensions()`

## Level

developer

## Location

src/nep/interface/nepsetup.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages